local Gnoll = _G.Gnoll
local GL = Gnoll.Locale
local GLW = Gnoll.WoWLocale

-----------------------------------------------------------------
----------------------------------------------------------------- Hauptfenster
-----------------------------------------------------------------

Hauptfenster = CreateFrame("Frame","GUIHauptfenster",UIParent)
Hauptfenster:SetPoint("CENTER",0,0)
Hauptfenster:SetWidth(785)
Hauptfenster:SetHeight(560)
Hauptfenster:SetBackdrop(
        {
            bgFile= "Interface/DialogFrame/UI-DialogBox-Background-Dark",
            edgeFile = "Interface/DialogFrame/UI-Dialogbox-Border",
            tile = true, tileSize = 32, edgeSize = 32,
            insets = {left = 4, right = 4, top = 4, bottom = 4}
        })
Hauptfenster:SetMovable(true)
Hauptfenster:EnableMouse(true)
Hauptfenster:RegisterForDrag("LeftButton")
Hauptfenster:SetScript("OnDragStart", Hauptfenster.StartMoving)
Hauptfenster:SetScript("OnDragStop", Hauptfenster.StopMovingOrSizing)
Hauptfenster:Hide() 
tinsert(UISpecialFrames, Hauptfenster:GetName())



-----------------------------------------------------------------
----------------------------------------------------------------- WishFrame
-----------------------------------------------------------------

WishFrame = CreateFrame("FRAME", "WishFrame", Hauptfenster)
WishFrame:ClearAllPoints()
WishFrame:SetPoint("TOPLEFT", Hauptfenster, 5, -55)
WishFrame:SetWidth(775)
WishFrame:SetHeight(470)
WishFrame:SetBackdrop(
	{
		bgFile= "Interface\\ACHIEVEMENTFRAME\\UI-Achievement-Parchment-Horizontal-Desaturated",
		edgeFile = "Interface/DialogFrame/UI-Dialogbox-Border",
		tile = false, tileSize = 32, edgeSize = 32,
		insets = {left = 4, right = 4, top = 4, bottom = 4}
	})
WishFrame:Hide()
CreateWishButtons(WishFrame)
WishFrame:EnableMouseWheel(true)

-----------------------------------------------------------------
----------------------------------------------------------------- ItemFrame
-----------------------------------------------------------------

ItemFrame = CreateFrame("FRAME", "ItemFrame", Hauptfenster) 
ItemFrame:ClearAllPoints()
ItemFrame:SetPoint("TOPLEFT", Hauptfenster, 5, -55)
ItemFrame:SetWidth(775)
ItemFrame:SetHeight(470)
ItemFrame:SetBackdrop(
	{
		bgFile= "Interface\\ACHIEVEMENTFRAME\\UI-Achievement-Parchment-Horizontal",
		edgeFile = "Interface/DialogFrame/UI-Dialogbox-Border",
		tile = false, tileSize = 32, edgeSize = 32,
		insets = {left = 4, right = 4, top = 4, bottom = 4}
	})
CreateItemButtons(ItemFrame)
ItemFrame:EnableMouseWheel(true)


-----------------------------------------------------------------
----------------------------------------------------------------- CloseButton
-----------------------------------------------------------------

CloseButton = CreateFrame("Button", nil, Hauptfenster)
CloseButton:SetPoint("TOPRIGHT", Hauptfenster, -1, -1)
CloseButton:SetSize(30,30)
CloseButton:SetScript("OnMouseDown", function(self, button)
Hauptfenster:Hide()
end)

local ntex = CloseButton:CreateTexture()
	ntex:SetTexture("Interface/Buttons/UI-Panel-MinimizeButton-Up")
	ntex:SetAllPoints()
CloseButton:SetNormalTexture(ntex)

local htex = CloseButton:CreateTexture()
	htex:SetTexture("Interface/Buttons/UI-Panel-Button-Highlight")
	htex:SetTexCoord(0, 0.625, 0, 0.6875)
	htex:SetAllPoints()
CloseButton:SetHighlightTexture(htex)

-----------------------------------------------------------------
-----------------------------------------------------------------


HelpButton = CreateFrame("Button", nil, Hauptfenster)
HelpButton:SetPoint("TOPRIGHT", Hauptfenster, -15, -45)
HelpButton:SetSize(15,15)
-- QuestButton:SetAlpha(0.8)


Helptext = HelpButton:CreateFontString(nil, OVERLAY, "GameFontNormal")
Helptext:SetPoint("TOPRIGHT", 0, 0)
Helptext:SetText("?")

HelpButton:SetScript("OnEnter", function(self,arg1)
	GameTooltip:SetOwner(self, "ANCHOR_NONE")
	GameTooltip:SetPoint("BOTTOM", self, "BOTTOM", 170, 30)
	GameTooltip:SetText("Manual:",1,1,1)
	GameTooltip:AddLine("|cff00bfff"..GL["ML-SHIFT"], 0, 1, 0)
	GameTooltip:AddLine("|cff00bfff"..GL["ML-CTRL"], 0, 1, 0)
	GameTooltip:AddLine("|cff00bfff"..GL["ML-ALT"], 0, 1, 0)
	GameTooltip:SetSize(300,70)
end)
	

HelpButton:SetScript("OnLeave", function(self,arg1)
	GameTooltip:Hide()
end)


-----------------------------------------------------------------
----------------------------------------------------------------- Wishframe & ItemFrame Button
-----------------------------------------------------------------

ItemPagetext = ItemFrame:CreateFontString(nil, nil, "GameFontNormal")
ItemPagetext:SetPoint("CENTER",0,-210)

WishPagetext = WishFrame:CreateFontString(nil, nil, "GameFontNormal")
WishPagetext:SetPoint("CENTER",0,-210)


-----------------------------------------------------------------
----------------------------------------------------------------- Seitenanzahl
-----------------------------------------------------------------

WishFrameButton = CreateFrame("Button", "WishFrameButton", Hauptfenster)
WishFrameButton:SetPoint("BottomLeft", Hauptfenster, 60, 13)
WishFrameButton:SetSize(80,25)
WishFrameButton:SetText(GL["Wishlist"])
WishFrameButton:SetNormalFontObject("GameFontNormal")

local htex = WishFrameButton:CreateTexture()
	htex:SetTexture("Interface/Buttons/UI-Panel-Button-Highlight")
	htex:SetTexCoord(0, 0.625, 0, 0.6875)
	htex:SetAllPoints()
	WishFrameButton:SetHighlightTexture(htex)
	
local ptex = WishFrameButton:CreateTexture()
	ptex:SetTexture("Interface/Buttons/UI-Panel-Button-Down")
	htex:SetTexCoord(0, 0.625, 0, 0.6875)
	ptex:SetAllPoints()
	WishFrameButton:SetPushedTexture(ptex)

local ntex = WishFrameButton:CreateTexture()
	ntex:SetTexture("Interface/Buttons/UI-Panel-Button-Up")
	ntex:SetTexCoord(0, 0.625, 0, 0.6875)
	ntex:SetAllPoints()
	WishFrameButton:SetNormalTexture(ntex)

WishFrameButton:Show()

ItemFrameButton = CreateFrame("Button", "ItemFrameButton", Hauptfenster)
ItemFrameButton:SetPoint("BottomLeft", Hauptfenster, 60, 13)
ItemFrameButton:SetSize(80,25)
ItemFrameButton:SetText(GL["Loot"])
ItemFrameButton:SetNormalFontObject("GameFontNormal")

local ntex = ItemFrameButton:CreateTexture()
	ntex:SetTexture("Interface/Buttons/UI-Panel-Button-Up")
	ntex:SetAllPoints()
	ntex:SetTexCoord(0, 0.625, 0, 0.6875)
	ItemFrameButton:SetNormalTexture(ntex)

local htex = ItemFrameButton:CreateTexture()
	htex:SetTexture("Interface/Buttons/UI-Panel-Button-Highlight")
	htex:SetTexCoord(0, 0.625, 0, 0.6875)
	htex:SetAllPoints()
	ItemFrameButton:SetHighlightTexture(htex)
	
local ptex = ItemFrameButton:CreateTexture()
	ptex:SetTexture("Interface/Buttons/UI-Panel-Button-Down")
	ptex:SetAllPoints()
	ptex:SetTexCoord(0, 0.625, 0, 0.6875)
	ItemFrameButton:SetPushedTexture(ptex)
	
ItemFrameButton:Hide()

WishFrameButton:SetScript("OnClick", function(self, button)
	ItemFrameButton:Show()
	WishFrameButton:Hide()
	ItemFrame:Hide()
	WishFrame:Show()
	ShowWishPage(1)
end)


ItemFrameButton:SetScript("OnClick", function(self, button)
	ItemFrameButton:Hide()
	WishFrameButton:Show()
	ItemFrame:Show()
	WishFrame:Hide()
end)

-----------------------------------------------------------------
----------------------------------------------------------------- Add Fav Button
---------------------------------------------------------------

ItemFrameFavButton = CreateFrame("Button", "WishFrameButton", ItemFrame)
ItemFrameFavButton:SetPoint("BottomRight", Hauptfenster, -60, 13)
ItemFrameFavButton:SetSize(80,25)
ItemFrameFavButton:SetNormalFontObject("GameFontNormal")

local htex = ItemFrameFavButton:CreateTexture()
	htex:SetTexture("Interface/Buttons/UI-Panel-Button-Highlight")
	htex:SetTexCoord(0, 0.625, 0, 0.6875)
	htex:SetAllPoints()
	ItemFrameFavButton:SetHighlightTexture(htex)
	
local ptex = ItemFrameFavButton:CreateTexture()
	ptex:SetTexture("Interface/Buttons/UI-Panel-Button-Down")
	htex:SetTexCoord(0, 0.625, 0, 0.6875)
	ptex:SetAllPoints()
	ItemFrameFavButton:SetPushedTexture(ptex)

local ntex = ItemFrameFavButton:CreateTexture()
	ntex:SetTexture("Interface/Buttons/UI-Panel-Button-Up")
	ntex:SetTexCoord(0, 0.625, 0, 0.6875)
	ntex:SetAllPoints()
	ItemFrameFavButton:SetNormalTexture(ntex)
ItemFrameFavButton:Hide()

-----------------------------------------------------------------
----------------------------------------------------------------- Rufbar im Itemframe
---------------------------------------------------------------

RufBar = CreateFrame("StatusBar", nil, ItemFrame)
RufBar:SetWidth(200)
RufBar:SetHeight(15)
RufBar:SetPoint("TOP",ItemFrame, 0, -15)


--RufBar:SetStatusBarTexture("Interface\\AchievementFrame\\UI-Achievement-ProgressBar-Border")
RufBar:SetStatusBarTexture("Interface\\TARGETINGFRAME\\UI-StatusBar")
RufBar:GetStatusBarTexture():SetHorizTile(false)
RufBar:GetStatusBarTexture():SetVertTile(false)

RufBar.bg = RufBar:CreateTexture(nil, "BACKGROUND")
RufBar.bg:SetTexture("Interface\AchievementFrame\UI-Achievement-ProgressBar-Border")
RufBar.bg:SetAllPoints(true)
RufBar.bg:SetVertexColor(0, 0.35, 0)

RufBar.value = RufBar:CreateFontString(nil, "OVERLAY")
RufBar.value:SetPoint("Center", RufBar)
RufBar.value:SetFont("Fonts\\FRIZQT__.TTF", 11, "OUTLINE")
RufBar.value:SetShadowOffset(1, -1)
RufBar.value:SetTextColor(0, 1, 0)

RufBar:Hide()
 
function RufBarColor(standing) 
	if standing > 4 then
		RufBar:SetStatusBarColor(0, 0, 0.65) 
	elseif standing < 4 then
		RufBar:SetStatusBarColor(0.65, 0, 0)
	else
		RufBar:SetStatusBarColor(0.65, 0.65, 0.65) 
	end
end

-----------------------------------------------------------------
----------------------------------------------------------------- Links und Rechts Buttons des ItemFrames / WishFrames
-----------------------------------------------------------------

ItemSeiteLinks = CreateFrame("Button", "ItemLinks", ItemFrame)
ItemSeiteLinks:SetPoint("BottomLeft", ItemFrame, 20, -25)
ItemSeiteLinks:SetSize(30,30)
ItemSeiteLinks:Hide()

local ntex = ItemSeiteLinks:CreateTexture()
	ntex:SetTexture("Interface/Buttons/UI-SpellbookIcon-PrevPage-Up")
	ntex:SetAllPoints()
ItemSeiteLinks:SetNormalTexture(ntex)

local htex = ItemSeiteLinks:CreateTexture()
	htex:SetTexture("Interface/Buttons/UI-Panel-Button-Highlight")
	htex:SetTexCoord(0, 0.625, 0, 0.6875)
	htex:SetAllPoints()
ItemSeiteLinks:SetHighlightTexture(htex)

---

ItemSeiteRechts = CreateFrame("Button", "ItemRechts", ItemFrame)
ItemSeiteRechts:SetPoint("BottomRight", ItemFrame, -20, -25)
ItemSeiteRechts:SetSize(30,30)
ItemSeiteRechts:Hide()

local ntex = ItemSeiteRechts:CreateTexture()
	ntex:SetTexture("Interface/Buttons/UI-SpellbookIcon-NextPage-Up")
	ntex:SetAllPoints()
ItemSeiteRechts:SetNormalTexture(ntex)

local htex = ItemSeiteRechts:CreateTexture()
	htex:SetTexture("Interface/Buttons/UI-Panel-Button-Highlight")
	htex:SetTexCoord(0, 0.625, 0, 0.6875)
	htex:SetAllPoints()
ItemSeiteRechts:SetHighlightTexture(htex)


WishSeiteLinks = CreateFrame("Button", "WishLinks", WishFrame)
WishSeiteLinks:SetPoint("BottomLeft", WishFrame, 20, -25)
WishSeiteLinks:SetSize(30,30)
WishSeiteLinks:Hide()

local ntex = WishSeiteLinks:CreateTexture()
	ntex:SetTexture("Interface/Buttons/UI-SpellbookIcon-PrevPage-Up")
	ntex:SetAllPoints()
WishSeiteLinks:SetNormalTexture(ntex)

local htex = WishSeiteLinks:CreateTexture()
	htex:SetTexture("Interface/Buttons/UI-Panel-Button-Highlight")
	htex:SetTexCoord(0, 0.625, 0, 0.6875)
	htex:SetAllPoints()
WishSeiteLinks:SetHighlightTexture(htex)

----

WishSeiteRechts = CreateFrame("Button", "WishRechts", WishFrame)
WishSeiteRechts:SetPoint("BottomRight", WishFrame, -20, -25)
WishSeiteRechts:SetSize(30,30)
WishSeiteRechts:Hide()
WishSeiteRechts:SetParent(WishFrame)

local ntex = WishSeiteRechts:CreateTexture()
	ntex:SetTexture("Interface/Buttons/UI-SpellbookIcon-NextPage-Up")
	ntex:SetAllPoints()
WishSeiteRechts:SetNormalTexture(ntex)

local htex = WishSeiteRechts:CreateTexture()
	htex:SetTexture("Interface/Buttons/UI-Panel-Button-Highlight")
	htex:SetTexCoord(0, 0.625, 0, 0.6875)
	htex:SetAllPoints()
WishSeiteRechts:SetHighlightTexture(htex)


-----------------------------------------------------------------
----------------------------------------------------------------- geliebte DropDownMenüs
-----------------------------------------------------------------

DDME = CreateFrame("Button", "DDME", Hauptfenster, "UIDropDownMenuTemplate")
DDME:SetPoint("TOPLEFT", 10, -20)
UIDropDownMenu_SetWidth(DDME, 120);
UIDropDownMenu_SetButtonWidth(DDME, 120)
UIDropDownMenu_SetSelectedID(DDME, 1)
UIDropDownMenu_JustifyText(DDME, "LEFT")
UIDropDownMenu_SetText(DDME, GL["Addon"], 0)
 
DDMI = CreateFrame("Button", "DDMI", Hauptfenster, "UIDropDownMenuTemplate")
DDMI:SetPoint("TOPLEFT", 150, -20)
UIDropDownMenu_SetWidth(DDMI, 140);
UIDropDownMenu_SetButtonWidth(DDMI, 140)
UIDropDownMenu_SetSelectedID(DDMI, 1)
UIDropDownMenu_JustifyText(DDMI, "LEFT")
UIDropDownMenu_SetText(DDMI, GL["Instance"], 0)
DDMI:Hide()
 
DDMB = CreateFrame("Button", "DDMB", Hauptfenster, "UIDropDownMenuTemplate")
DDMB:SetPoint("TOPLEFT", 310, -20)
UIDropDownMenu_SetWidth(DDMB, 130);
UIDropDownMenu_SetButtonWidth(DDMB, 130)
UIDropDownMenu_SetSelectedID(DDMB, 1)
UIDropDownMenu_JustifyText(DDMB, "LEFT")
UIDropDownMenu_SetText(DDMB, GL["Boss"], 0)
DDMB:Hide()

DDMD = CreateFrame("Button", "DDMD", Hauptfenster, "UIDropDownMenuTemplate")
DDMD:SetPoint("TOPLEFT", 460, -20)
UIDropDownMenu_SetWidth(DDMD, 75);
UIDropDownMenu_SetButtonWidth(DDMD, 75)
UIDropDownMenu_SetSelectedID(DDMD, 1)
UIDropDownMenu_JustifyText(DDMD, "LEFT")
UIDropDownMenu_SetSelectedValue(DDMD, 0)
UIDropDownMenu_SetText(DDMD, GL["Difficulty"], 0)
DDMD:Hide()

DDMC = CreateFrame("Button", "DDMC", Hauptfenster, "UIDropDownMenuTemplate")
DDMC:SetPoint("TOPLEFT", 555, -20)
UIDropDownMenu_SetWidth(DDMC, 75);
UIDropDownMenu_SetButtonWidth(DDMC, 75)
UIDropDownMenu_SetSelectedID(DDMC, 1)
UIDropDownMenu_JustifyText(DDMC, "LEFT")
UIDropDownMenu_SetText(DDMC, GL["Class"], 0)
DDMC:Hide()

DDMS = CreateFrame("Button", "DDMS", Hauptfenster, "UIDropDownMenuTemplate")
DDMS:SetPoint("TOPLEFT", 650, -20)
UIDropDownMenu_SetWidth(DDMS, 75);
UIDropDownMenu_SetButtonWidth(DDMS, 75)
UIDropDownMenu_SetSelectedID(DDMS, 1)
UIDropDownMenu_JustifyText(DDMS, "LEFT")
UIDropDownMenu_SetText(DDMS, GL["Spec"], 0)
DDMS:Hide()